Name:          libibmad
Version:       1.3.13
Release:       1mamba
Summary:       A convenience library to encode, decode, and dump IB MAD packets
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.openfabrics.org
Source:        https://www.openfabrics.org/downloads/management/libibmad-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libibumad-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
libibmad is a convenience library to encode, decode, and dump IB MAD packets.
It is implemented on top of and in conjunction with libibumad (the umad kernel interface library.)

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libibmad.so.*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%{_includedir}/infiniband/mad.h
%{_includedir}/infiniband/mad_osd.h
%{_libdir}/libibmad.a
%{_libdir}/libibmad.la
%{_libdir}/libibmad.so
%doc ChangeLog README

%changelog
* Sun Feb 07 2021 Automatic Build System <autodist@mambasoft.it> 1.3.13-1mamba
- automatic version update by autodist

* Tue Oct 14 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.11-1mamba
- package created using the webbuild interface
